%define         configfilename        sample.wmixrc

Name:           wmix
Version:        3.2
Release:        %mkrel 1
Summary:        A dock application that is a small sound mixer
License:        GPLv2
Group:          Sound

URL:            http://www.ne.jp/asahi/linux/timecop
#the 3.2 version cannot be found online (sniffed from mandriva sources)
Source0:        http://www.ne.jp/asahi/linux/timecop/software/%{name}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel

#needs /dev/mixer to work
Suggests:      alsa-oss
Suggests:      ossp 



%description
Wmix is a dock application mixer designed to adjust sound levels for
ALSA under OSS compatibility. You can either use the genuine OSS layer
of ALSA or the OSS Proxy Daemon under PULSE. It allows toggling record
source, muting individual channels, adjusting volume and balance, all
in a compact size, with TV-like on-screen-display for volume
levels. It also supports the mouse wheel to adjust current channel
volume and can be controlled remotely. Some features can be specified
through a configuration file assumed to reside in your home directory,
an example of which being provided in
%{_datadir}/%{name}/%{configfilename}.


%prep
%setup -q 


%build
%make CFLAGS="%optflags" LDFLAGS="%ldflags"


%install
rm -rf %{buildroot}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 sample.wmixrc %{buildroot}%{_datadir}/%{name}/%configfilename
install -D -m 644 wmix.1x.gz %{buildroot}%{_mandir}/man1/wmix.1z.gz


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}
%{_mandir}/man1/%{name}.1*




%changelog

* Fri Nov 18 2011 eatdirt <eatdirt> 3.2-1.mga2
+ Revision: 168783
- Upgrade to 3.2

* Fri Nov 11 2011 eatdirt <eatdirt> 3.1-1.mga2
+ Revision: 166731
- imported package wmix


* Fri Nov 11 2011 Chris Ringeval <dirteat@gmail.com> 3.1-1.mga2
- import wmix
